Xerces2 Implementation: Class LocatorProxy

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.util
Class LocatorProxy

    java.lang.Object
      |
      +--org.apache.xerces.util.LocatorProxy

All Implemented Interfaces:
  org.xml.sax.Locator, org.xml.sax.ext.Locator2

public class LocatorProxy
extends java.lang.Object
implements org.xml.sax.ext.Locator2

Wraps `XMLLocator` and make it look like a SAX `Locator`.

Version:
  $Id: LocatorProxy.java 447241 2006-09-18 05:12:57Z mrglavas $
Author:
  Arnaud Le Hors, IBM, Andy Clark, IBM

Constructor Summary
`LocatorProxy(org.apache.xerces.xni.XMLLocator locator)` Constructs an XML locator proxy.

Method Summary
`int` | `getColumnNumber()` Column number.
`java.lang.String` | `getEncoding()` Returns the name of the character encoding for the entity.
`int` | `getLineNumber()` Line number.
`java.lang.String` | `getPublicId()` Public identifier.
`java.lang.String` | `getSystemId()` System identifier.
`java.lang.String` | `getXMLVersion()` Returns the version of XML used for the entity.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocatorProxy

    public LocatorProxy(org.apache.xerces.xni.XMLLocator locator)

  Constructs an XML locator proxy.

Method Detail

### getPublicId

    public java.lang.String getPublicId()

  Public identifier.
  Specified by:
    `getPublicId` in interface `org.xml.sax.Locator`
  Following copied from interface: `org.xml.sax.Locator`
  Returns:
    A string containing the public identifier, or null if none is available.
  See Also:
    `Locator.getSystemId()`

### getSystemId

    public java.lang.String getSystemId()

  System identifier.
  Specified by:
    `getSystemId` in interface `org.xml.sax.Locator`
  Following copied from interface: `org.xml.sax.Locator`
  Returns:
    A string containing the system identifier, or null if none is available.
  See Also:
    `Locator.getPublicId()`

### getLineNumber

    public int getLineNumber()

  Line number.
  Specified by:
    `getLineNumber` in interface `org.xml.sax.Locator`
  Following copied from interface: `org.xml.sax.Locator`
  Returns:
    The line number, or -1 if none is available.
  See Also:
    `Locator.getColumnNumber()`

### getColumnNumber

    public int getColumnNumber()

  Column number.
  Specified by:
    `getColumnNumber` in interface `org.xml.sax.Locator`
  Following copied from interface: `org.xml.sax.Locator`
  Returns:
    The column number, or -1 if none is available.
  See Also:
    `Locator.getLineNumber()`

### getXMLVersion

    public java.lang.String getXMLVersion()

  Description copied from interface: `org.xml.sax.ext.Locator2`
  Returns the version of XML used for the entity. This will normally be the identifier from the current entity's <?xml version='...' ...?> declaration, or be defaulted by the parser.
  Specified by:
    `getXMLVersion` in interface `org.xml.sax.ext.Locator2`
  Following copied from interface: `org.xml.sax.ext.Locator2`
  Returns:
    Identifier for the XML version being used to interpret the entity's text, or null if that information is not yet available in the current parsing state.

### getEncoding

    public java.lang.String getEncoding()

  Description copied from interface: `org.xml.sax.ext.Locator2`
  Returns the name of the character encoding for the entity. If the encoding was declared externally (for example, in a MIME Content-Type header), that will be the name returned. Else if there was an <?xml ...encoding='...'?> declaration at the start of the document, that encoding name will be returned. Otherwise the encoding will been inferred (normally to be UTF-8, or some UTF-16 variant), and that inferred name will be returned.

  When an `InputSource` is used to provide an entity's character stream, this method returns the encoding provided in that input stream.

  Note that some recent W3C specifications require that text in some encodings be normalized, using Unicode Normalization Form C, before processing. Such normalization must be performed by applications, and would normally be triggered based on the value returned by this method.

  Encoding names may be those used by the underlying JVM, and comparisons should be case-insensitive.

  Specified by:
    `getEncoding` in interface `org.xml.sax.ext.Locator2`
  Following copied from interface: `org.xml.sax.ext.Locator2`
  Returns:
    Name of the character encoding being used to interpret the entity's text, or null if this was not provided for a character stream passed through an InputSource or is otherwise not yet available in the current parsing state.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.